<div class="list-container">
  <div fxLayout="row" fxLayoutAlign="space-between start">
    <h2>Certifications</h2>
  </div>
  <div class="actions" fxLayout="row" fxLayoutAlign="space-between center">
    <mat-form-field floatLabel="never" class="filter">
      <input matInput #filter [formControl]="filterControl" />
      <button matSuffix mat-icon-button>
        <mat-icon>clear</mat-icon>
      </button>
    </mat-form-field>

    <button mat-raised-button color="primary" (click)="newCertification()">New Certification</button>
  </div>

  <ng-container *ngIf="(associateCertifications$ | async)!.length > 0; else tmplNoCertifications">
    <mat-list>
      <div mat-subheader>2021</div>
      <ng-container *ngFor="let cert of associateCertifications$ | async">
        <app-certification-item [certification]="cert" (manage)="manageCertification(cert.id)"></app-certification-item>
      </ng-container>
      <mat-divider></mat-divider>
    </mat-list>
  </ng-container>

  <ng-container *ngIf="loadingCertifications$ | async">
    <mat-spinner></mat-spinner>
  </ng-container>
</div>

<ng-template #tmplNoCertifications>
  <div fxLayout="column" fxLayoutAlign="space-between start">
    <small class="mat-small">You haven't submitted any certificates yet.</small>
  </div>
</ng-template>
